PS(1)

BEZEICHNUNG
ps - einen Schnappschuss der aktuellen Prozesse darstellen

ÜBERSICHT
ps [Option ...]

BESCHREIBUNG
ps zeigt Informationen zu einer Auswahl aktiver Prozesse an. Falls Sie eine wiederholte Aktualisierung der Auswahl und der angezeigten Informationen benötigen, verwenden Sie stattdessen top.

Diese Version von ps akzeptiert verschiedene Arten von Optionen.

•   Unix-Optionen, die gruppiert sein können und denen ein Bindestrich vorangestellt werden darf.

•   BSD-Optionen, die gruppiert sein können und denen kein Bindestrich vorangestellt werden muss.

•   Lange GNU-Optionen, denen zwei Bindestriche vorangestellt werden müssen.

Optionen verschiedener Typen können beliebig gemischt werden, was aber auch Konflikte hervorrufen kann. Es gibt einige gleichbedeutende Optionen, die funktionell identisch sind. Das beruht auf den zahlreichen Standards und Implementationen von ps, zu denen das vorliegende ps kompatibel ist.

Standardmäßig wählt ps alle Prozesse mit der effektiven Benutzerkennung (euid=EUID) des aktuellen Benutzers aus, die dem gleichen Terminal wie der Aufrufende zugeordnet sind. Es zeigt die Prozesskennung (pid=PID), das dem Prozess zugeordnete Terminal (tname=TTY), die kumulierte CPU-Zeit (time=TIME) im Format [TT-]hh:mm:ss sowie den Namen des ausführbaren Programms an. Die Ausgabe wird standardmäßig nicht sortiert.

Durch die Verwendung von Optionen im BSD-Stil wird der Prozessstatus (stat=STATUS) zur standardmäßigen Anzeige hinzugefügt und die Befehlsargumente (args=BEFEHL) anstelle des Namens der ausführbaren Datei angezeigt. Sie können dies in der Umgebungsvariable PS_FORMAT außer Kraft setzen. Durch die Verwendung von Optionen im BSD-Stil zeigt die Prozessauswahl außerdem Prozesse auf anderen Terminals (TTYs) an, deren Besitzer Sie selbst sind; alternativ könnte dies als Setzen der Auswahl auf alle Prozesse beschrieben werden, aus denen aber Prozesse herausgefiltert werden, die anderen Benutzern gehören oder nicht auf einem Terminal laufen. Diese Effekte werden nicht berücksichtigt, wenn Optionen nachfolgend als »gleichbedeutend« beschrieben werden, so wird -M als gleichbedeutend mit Z usw. aufgefasst.

Außer in den nachfolgend beschriebenen Ausnahmen sind Optionen zur Prozessauswahl additiv. Die standardmäßige Auswahl wird verworfen und dann werden die ausgewählten Prozesse zur Gruppe der anzuzeigenden Prozesse hinzugefügt. Ein Prozess wird also dann angezeigt, wenn er irgendeinem der angegebenen Auswahlkriterien entspricht.

BEISPIELE

Alle Prozesse im System in der Standard-Syntax anzeigen:
    ps -e
    ps -ef
    ps -eF
    ps -ely

Alle Prozesse im System in der BSD-Syntax anzeigen:
    ps ax
    ps axu

Einen Prozessbaum ausgeben:
    ps -ejH
    ps axjf

Informationen zu Threads erhalten:
    ps -eLf
    ps axms

Sicherheitsinformationen erhalten:
    ps -eo euser,ruser,suser,fuser,f,comm,label
    ps axZ
    ps -eM

Alle Prozesse im System, die mit Root-Rechten laufen (reale & effektive Kennung), in einem benutzerdefinierten Format anzeigen:
    ps -U root -u root u

Alle Prozesse in einem benutzerdefinierten Format anzeigen:
    ps -eo pid,tid,class,rtprio,ni,pri,psr,pcpu,stat,wchan:14,comm
    ps axo stat,euid,ruid,tty,tpgid,sess,pgrp,ppid,pid,pcpu,comm
    ps -Ao pid,tt,user,fname,tmout,f,wchan

Nur die Prozesskennungen (PIDs) von syslogd ausgeben:
    ps -C syslogd -o pid=

Nur den Namen des Prozesses mit der Kennung 42 ausgeben:
    ps -q 42 -o comm=

EINFACHE PROZESSAUSWAHL

a   hebt die Einschränkung »nur Sie selbst« des BSD-Stils auf, die für die Gruppe aller Prozesse gilt, wenn einige BSD-artige Optionen (ohne »-«) verwendet werden oder wenn die Einstellung der Prozessausführungsumgebung von ps BSD-ähnlich ist. Die auf diese Weise ausgewählte Prozessgruppe wird zusätzlich zu den bereits auf andere Weise ausgewählten Prozessen ausgewählt. Alternativ könnte dies so beschrieben werden, dass diese Option ps veranlasst, alle Prozesse mit einem Terminal (TTY) aufzulisten, oder alle Prozesse aufzulisten, wenn dies zusammen mit der Option x verwendet wird.

-A  wählt alle Prozesse aus. Gleichbedeutend mit -e.

-a  wählt alle Prozesse aus, außer sowohl Sitzungsleiter (siehe getsid(2)) als auch Prozesse, die keinem Terminal zugeordnet sind.

-d  wählt alle Prozesse außer Sitzungsleiter aus.

--deselect
    wählt alle Prozesse aus, außer jene, welche die angegebenen Bedingungen erfüllen (negiert die Auswahl). Gleichbedeutend mit -N.

-e  wählt alle Prozesse aus. Gleichbedeutend mit -A.

g   wählt wirklich alle, selbst die Sitzungsleiter. Dieser Schalter ist veraltet und könnte in zukünftigen Veröffentlichungen nicht mehr zur Verfügung stehen. Es wird normalerweise vom Schalter a impliziert und ist nur nützlich, wenn es in einer SunOs-Prozessausführungsumgebung ausgeführt wird.

-N  wählt alle Prozesse aus, außer jene, welche die angegebenen Bedingungen erfüllen (negiert die Auswahl). Gleichbedeutend mit --deselect.

T   wählt alle Prozesse aus, welche diesem Terminal zugeordnet sind. Gleichbedeutend mit der Option t ohne Argumente.

r   schränkt die Auswahl nur auf laufende Prozesse ein.

x   hebt die Einschränkung »muss ein TTY haben« des BSD-Stils auf, die für die Gruppe aller Prozesse gilt, wenn einige BSD-artige Optionen (ohne »-«) verwendet werden oder wenn die Einstellung der Prozessausführungsumgebung von ps BSD-ähnlich ist. Die auf diese Weise ausgewählte Prozessgruppe wird zusätzlich zu den bereits auf andere Weise ausgewählten Prozessen ausgewählt. Alternativ könnte dies so beschrieben werden, dass diese Option ps veranlasst, alle Prozesse aufzulisten, deren Besitzer Sie selbst sind (gleiche EUID wie ps), oder alle Prozesse aufzulisten, wenn dies zusammen mit der Option a verwendet wird.

PROZESSAUSWAHL NACH LISTE
Diese Optionen akzeptieren ein einzelnes Argument in der Form einer durch Leerräume oder Kommata getrennten Liste. Dies kann mehrmals angegeben werden. Beispiel: ps -p "1 2" -p 3,4

123 ist gleichbedeutend mit --pid 123.

+123
    ist gleichbedeutend mit --sid 123.

-123
    Auswahl nach Prozessgruppenkennung (PGID).

-C Befehlsliste
    wählt nach Befehlsnamen aus. Dadurch werden die Prozesse ausgewählt, deren Namen der ausführbaren Dateien in der Befehlsliste aufgeführt sind. Achtung: Der Befehlsname entspricht nicht der Befehlszeile. Frühere Versionen von procps und der Kernel kürzten diesen Befehlsnamen auf 15 Zeichen. Diese Einschränkung gibt es in beiden nicht mehr. Falls Sie sich nur auf 15 Zeichen beziehen, erhalten Sie keinen Treffer mehr.

-G Gruppenliste
    wählt nach realer Gruppenkennung (RGID) oder nach Namen aus. Dadurch werden die Prozesse ausgewählt, deren realer Gruppenname oder -kennung in der Gruppenliste aufgeführt ist. Die reale Gruppenkennung identifiziert die Gruppe des Benutzers, der den Prozess erstellt hat, siehe getgid(2).

-g Gruppenliste
    wählt nach Sitzung ODER effektivem Gruppennamen aus. Die Auswahl nach Sitzung wird durch zahlreiche Standards angegeben, aber die Auswahl nach effektiver Gruppe ist das logische Verhalten, das verschiedene andere Betriebssysteme verwenden. Diese Version von ps wählt nach Sitzung aus, wenn die Liste vollständig numerisch ist (wie es bei Sitzungen der Fall ist). Mit Gruppenkennungen (ID-Nummern) funktioniert es nur dann, wenn auch einige Gruppennamen angegeben werden. Siehe die Optionen -s und --group.

--Group Gruppenliste
    wählt nach realer Gruppenkennung (RGID) oder Name aus. Gleichbedeutend mit -G.

--group Gruppenliste
    wählt nach effektiver Gruppenkennung (EGID) oder Name aus. Dadurch werden die Prozesse ausgewählt, deren effektiver Gruppenname oder -kennung in der Gruppenliste aufgeführt ist. Die effektive Gruppenkennung bezieht sich auf die Gruppe, deren Dateizugriffsrechte vom Prozess genutzt werden (siehe getegid(2)). Die Option -g ist häufig eine Alternative zu --group.

p PID-Liste
    wählt nach Prozesskennung (PID) aus. Gleichbedeutend mit -p und --pid.

-p PID-Liste
    wählt nach Prozesskennung (PID) aus. Dadurch werden die Prozesse ausgewählt, deren Prozesskennungen (ID-Nummern) in der PID-Liste aufgeführt sind. Gleichbedeutend mit p und --pid.

--pid PID-Liste
    wählt nach Prozesskennung (PID) )aus. Gleichbedeutend mit -p und p.

--ppid PID-Liste
    wählt nach Kennung des Elternprozesses aus. Dadurch werden die Prozesse ausgewählt, für die die Kennung eines Elternprozesses in der PID-Liste aufgeführt ist. Das bedeutet, dass Prozesse ausgewählt werden, die Kindprozesse der Prozesse in der PID-Liste sind.

q PID-Liste
    wählt nach Prozesskennung (PID) aus (schneller Modus). Gleichbedeutend mit -q und --quick-pid.

-q PID-Liste
    wählt nach Prozesskennung (PID) aus (schneller Modus). Dadurch werden die Prozesse ausgewählt, deren Prozesskennungen (ID-Nummern) in der PID-Liste aufgeführt sind. Mit dieser Option liest ps die notwendigen Informationen nur für die in der PID-Liste aufgeführten Prozesskennungen und wendet keine zusätzlichen Filterregeln an. Die Reihenfolge der Prozesskennungen ist unsortiert und wird beibehalten. In diesem Modus sind keine weiteren Auswahloptionen, Sortierungen und Waldtyp-Auflistungen erlaubt. Gleichbedeutend mit q und --quick-pid.

--quick-pid PID-Liste
    wählt nach Prozesskennung (PID) aus (schneller Modus). Gleichbedeutend mit -q und q.

-s Sitzungsliste
    wählt nach Sitzungskennung aus. Dies wählt alle Prozesse aus, deren Sitzungskennung in der Sitzungsliste enthalten ist.

--sid Sitzungsliste
    wählt nach Sitzungskennung aus. Gleichbedeutend mit -s.

t TTY-Liste
    wählt nach TTY aus. Dies ist fast gleichbedeutend mit -t und --tty, kann aber auch mit einer leeren TTY-Liste verwendet werden, um das ps zugeordnete Terminal zu bezeichnen. Die Verwendung der Option T wird als sauberer als die Option t mit einer leeren TTY-Liste betrachtet.

-t TTY-Liste
    wählt nach TTY aus. Dadurch werden die Prozesse ausgewählt, die den in der TTY-Liste angegebenen Terminals zugeordnet sind. Terminals (TTYs oder Bildschirme für Textausgabe) können in verschiedenen Formen angegeben werden: /dev/ttyS1, ttyS1, S1. Ein einfaches »-« kann verwendet werden, um Prozesse auszuwählen, die keinem Terminal zugeordnet sind.

--tty TTY-Liste
    wählt nach Terminal aus. Gleichbedeutend mit -t und t.

U Benutzerliste
    wählt nach effektiver Benutzerkennung (EUID) oder Name aus. Dadurch werden die Prozesse ausgewählt, deren effektiver Benutzername oder -kennung in der Benutzerliste aufgeführt ist. Die effektive Benutzerkennung bezieht sich auf den Benutzer, dessen Dateizugriffsrechte vom Prozess genutzt werden (siehe geteuid(2)). Gleichbedeutend mit -u und --user.

-U Benutzerliste
    wählt nach realer Benutzerkennung (RUID) oder nach Namen aus. Dadurch werden die Prozesse ausgewählt, deren realer Benutzername oder -kennung in der Benutzerliste aufgeführt ist. Die reale Benutzerkennung identifiziert den Benutzer, der den Prozess erstellt hat, siehe getuid(2).

-u Benutzerliste
    wählt nach effektiver Benutzerkennung (EUID) oder Name aus. Dadurch werden die Prozesse ausgewählt, deren effektiver Benutzername oder -kennung in der Benutzerliste aufgeführt ist.

Die effektiver Benutzerkennung beschreibt den Benutzer, dessen Dateizugriffsrechte vom Prozess genutzt werden (siehe geteuid(2)). Gleichbedeutend mit U und --user.

--User Benutzerliste
    wählt nach realer Benutzerkennung (RUID) oder Name aus. Gleichbedeutend mit -U.

--user Benutzerliste
    wählt nach effektiver Benutzerkennung (EUID) oder Name aus. Gleichbedeutend mit -u und U.

STEUERUNG DES AUSGABEFORMATS
Diese Optionen werden dazu verwendet, die von ps angezeigten Informationen auszuwählen. Die Ausgabe kann je nach Prozessausführungsumgebung variieren. Die in Klammern am Ende der Beschreibung stehenden Optionen sind die entsprechenden Formate.

-c  zeigt verschiedene Scheduler-Informationen für die Option -l an. (-O cls,pri).

--context
    zeigt das Format des Sicherheitskontexts an (für SELinux). (-o pid,context,cmd).

-f  zeigt eine Auflistung im Vollformat an. Diese Option kann mit vielen anderen Optionen im Unix-Stil kombiniert werden, um zusätzliche Spalten hinzuzufügen. Außerdem bewirkt die Option, dass die Befehlsargumente ausgegeben werden. Wenn Sie die Option zusammen mit -L verwenden, werden die Spalten NLWP (Anzahl der Threads) und LWP (Threadkennung) hinzugefügt. Siehe die Option c sowie die Formatschlüsselwörter args und comm. (-o uid,pid,ppid,c,stime,tty,time,cmd).

-F  zeigt eine Auflistung im erweiterten Vollformat an. Siehe die Option -f, welche -F impliziert. (-o uid,pid,ppid,c,sz,rss,psr,stime,tty,time,cmd).

--format Format
    zeigt im benutzerdefinierten Format an. Gleichbedeutend mit -o und o.

j   BSD-Jobsteuerungsformat. (-o ppid,pid,pgid,sid,tty,tpgid,stat,uid,time,cmda)

-j  Jobs-Format. (-o pid,pgid,sid,tty,time,ucmd)

l   Langes BSD-Format. (-o f,uid,pid,ppid,pri,ni,vsz,rss,wchan,stat,tty,time,cmd a)

-l  Langes Format. Die Option -y ist oft dafür nützlich. (-o f,uid,pid,ppid,c,pri,ni,addr,sz,wchan,tty,time,ucmd)

-M  fügt eine Spalte mit sicherheitsrelevanten Daten hinzu. Gleichbedeutend mit Z (für SELinux). (-o context,pid,tty,time,ucmd)

O Format
    ist ein vorgeladenes o (überladen). Die BSD-Option O kann wie -O agieren (benutzerdefiniertes Ausgabeformat mit einigen vordefinierten häufig genutzten Feldern) oder dazu verwendet werden, die Sortierreihenfolge anzugeben. Das Verhalten dieser Option wird heuristisch bestimmt. Um das gewünschte Verhalten sicherzustellen (Sortierung oder Formatierung), geben Sie die Option auf eine andere Weise an (zum Beispiel mit -O oder --sort). Wenn Sie sie als Formatierungsoption verwenden, ist sie in der BSD-Prozessausführungsumgebung gleichbedeutend mit -O.

-O Format
    ist ähnlich zu -o, aber mit einigen Standardspalten vorgeladen. Gleichbedeutend mit -o PID,Format,Status,tName,Zeit,Befehl oder -o PID,Format,tName,Zeit,Befehl, siehe -o nachfolgend.

o Format
    legt das benutzerdefinierte Format fest. Gleichbedeutend mit -o und --format.

-o Format
    legt das benutzerdefinierte Format fest. Das Format ist ein einzelnes Argument in der From einer durch Leerräume oder Kommata getrennten Liste, die eine Möglichkeit bietet, individuelle Ausgabespalten anzugeben. Die erkannten Schlüsselwörter sind im nachfolgenden Abschnitt STANDARD-FORMATBEZEICHNER beschrieben. Kopfzeilen dürfen nach Wunsch umbenannt werden (ps -o PID,ruser=echter_Benutzer -o comm=Befehl). Falls alle Spaltenüberschriften leer sind (ps -o pid= -o comm=), wird keine Kopfzeile ausgegeben. Die Spaltenbreite wird bei breiteren Überschriften angepasst; das kann zur Verbreiterung von Spalten wie WCHAN (ps -o PID,wchan=WIDE-WCHAN-COLUMN -o comm) angewendet werden. Eine explizite Steuerung der Breite ist ebenfalls möglich (ps opid,wchan:42,cmd). Das Verhalten von ps -o pid=X,comm=Y variiert je nach Prozessausführungsumgebung; die Ausgabe kann in einer Spalte namens »X,comm=Y« oder in zwei Spalten namens »X« und »Y« erfolgen. Im Zweifel sollten Sie die Option -o mehrmals verwenden. Mit der Umgebungsvariable PS_FORMAT können Sie eine Vorgabe nach Ihrem Wunsch festlegen; DefSysV und DefBSD sind Makros, die Sie zur Wahl der standardmäßigen Unix- oder BSD-Spalten verwenden können.

-P  Fügt eine psr-Spalte hinzu. (-o pid,psr,s,tty,time,ucmd)

s   Signalformat. (-o uid,pid,pending,blocked,ignored,caught,stat,tty,bsdtime,cmd a)

u   Benutzerorientiertes Format. (-o user,pid,pcpu,pmem,vsz,rss,tty,stat,start_time,bsdtime,args a)

v   Virtuelles Speicherformat. (-o pid,tty,stat,bsdtime,majflt,trs,drs,rss,pmem,args a)

X   Registerformat. ( -o pid,stackp,esp,eip,tmout,alarm,stat,tty,bsdtime,args a)

-y  zeigt keine Schalter an; statt addr wird rss angezeigt. Diese Option kann nur zusammen mit -l verwendet werden.

Z   fügt eine Spalte mit sicherheitsrelevanten Daten hinzu. Gleichbedeutend mit -M (für SELinux).

AUSGABE-MODIFIKATOREN

c   zeigt den echten Befehlsnamen an. Dieser wird aus dem Namen der ausführbaren Datei statt aus dem Wert von argv abgeleitet. Befehlsargumente und deren eventuelle Änderungen werden daher nicht angezeigt. Diese Option verwandelt das Formatschlüsselwort args effektiv in das Formatschlüsselwort comm; sie ist mit der Formatoption -f und den verschiedenen Formatoptionen im BSD-Stil nützlich, welche alle normalerweise die Befehlsargumente anzeigen. Siehe die Option -f sowie die Formatschlüsselwörter args und comm.

--cols n
    legt die Bildschirmbreite fest.

--columns n
    legt die Bildschirmbreite fest.

--cumulative
    fügt einige Daten toter Kindprozesse hinzu (als Summe mit den Elternprozessen).

-D Format
    setzt das Datumsformat des lstart-Feldes auf das angegebene Format. Dieses Format wird von strftime(3) ausgewertet und sollte nicht mehr als 24 Zeichen umfassen, um die korrekte Spaltenausrichtung zu gewährleisten.

--date-format Format
    ist gleichbedeutend mit -D.

--delimiter Trenner
    setzt den angegebenen Trenner zwischen den Spalten anstelle eines variablen Leerzeichens. Es muss sich um ein einzelnes Zeichen handeln.

e   zeigt die Umgebung nach dem Befehl an.

f   zeigt die Prozesshierarchie in ASCII-Art an (Wald).

--forest
    zeigt einen Prozessbaum in ASCII-Art an.

h   zeigt keine Kopfzeilen an (oder eine Kopfzeile pro Bildschirm in der BSD-Prozessausführungsumgebung). Die Option h ist problematisch. Das standardmäßige ps in BSD verwendet diese Option, um eine Kopfzeile auf jeder Seite der Ausgabe anzuzeigen, ältere Linux-Versionen von ps hingegen unterdrücken damit die Anzeige der Kopfzeile komplett. Diese Version von ps gibt keine Kopfzeilen aus und folgt damit dem Linux-Verhalten. Nur wenn die BSD-Prozessausführungsumgebung ausgewählt ist, wird eine Kopfzeile auf jeder Seite der Ausgabe angezeigt. Unabhängig von der aktuellen Prozessausführungsumgebung können Sie die Langoptionen --headers bzw. --no-headers dazu verwenden, um die Anzeige der Kopfzeilen auf jeder Seite zu aktivieren oder vollständig zu deaktivieren.

-H  zeigt die Prozesshierarchie an (Waldansicht).

--headers
    wiederholt die Kopfzeilen jeweils einmal pro ausgegebener Seite.

k Spez
    legt die Sortierreihenfolge fest. Die Sortierungssyntax ist [+|-]Schlüssel[,[+|-]Schlüssel[, …]]. Wählen Sie einen aus mehreren Buchstaben bestehenden Schlüssel aus dem Abschnitt STANDARD-FORMATBEZEICHNER. Das »+« ist optional, da die Standardsortierung nach der ansteigenden numerischen oder lexikographischen Reihenfolge vorgenommen wird. Gleichbedeutend mit --sort.

        Beispiele:
        ps jaxkuid,-ppid,+pid
        ps axk comm o comm,args
        ps kstart_time -ef

--lines n
    legt die Bildschirmhöhe fest.

n   aktiviert die numerische Ausgabe für WCHAN und USER (einschließlich aller UID- und GID-Typen).

--no-headers
    unterdrückt die Ausgabe jeglicher Kopfzeilen. --no-heading ist ein Alias für diese Option.

O Reihenfolge
    legt die Sortierreihenfolge fest (überladen). Die BSD-Option O kann wie -O agieren (benutzerdefiniertes Ausgabeformat mit einigen vordefinierten häufig genutzten Feldern) oder dazu verwendet werden, die Sortierreihenfolge anzugeben. Das Verhalten dieser Option wird heuristisch bestimmt. Um das gewünschte Verhalten sicherzustellen (Sortierung oder Formatierung), geben Sie die Option auf eine andere Weise an (zum Beispiel mit -O oder --sort).

    For sorting, obsolete BSD O option syntax is O[+|-]k1[,[+|-]k2[,...]]. It orders the processes listing according to the multilevel sort specified by the sequence of one-letter short keys k1,k2, ... described in the OBSOLETE SORT KEYS section below. The "+" is currently optional, merely re-iterating the default direction on a key, but may help to distinguish an O sort from an O format. The "-" reverses direction only on the key it precedes.

--rows n
    legt die Bildschirmhöhe fest.

S   addiert Informationen, wie die CPU-Nutzung, aus den Informationen toter Kindprozesse und denen ihrer Elternprozesse. Dies ist nützlich, wenn Sie ein System untersuchen wollen, in dem ein Elternprozess fortwährend kurzlebige Kindprozesse mit fork() erstellt, um arbeiten zu können.

--sort Spez
    legt die Sortierreihenfolge fest. Die Sortierungssyntax ist [+|-]Schlüssel[,[+|-]Schlüssel[, …]]. Wählen Sie einen aus mehreren Buchstaben bestehenden Schlüssel aus dem Abschnitt STANDARD-FORMATBEZEICHNER. Das »+« ist optional, da die Standardsortierung nach der aufsteigenden numerischen oder lexikographischen Reihenfolge vorgenommen wird. Gleichbedeutend mit k. Beispiel: ps jax --sort=uid,-ppid,+pid

--signames
    Show signal masks using abbreviated signal names and expands the column. If the column width cannot show all signals, the column will end with a plus "+". Columns with only a hyphen have no signals.

w   aktiviert die breite Ausgabe. Verwenden Sie diese Option zweimal, um die Breite auf unbegrenzt zu setzen.

-w  aktiviert die breite Ausgabe. Verwenden Sie diese Option zweimal, um die Breite auf unbegrenzt zu setzen.

--width n
    legt die Bildschirmbreite fest.

THREAD-ANZEIGE

H   zeigt Threads so an, als wären sie Prozesse.

-L  zeigt Threads an, eventuell mit den Spalten LWP und NLWP.

m   zeigt Threads nach Prozessen an.

-m  zeigt Threads nach Prozessen an.

-T  zeigt Threads an, möglicherweise mit einer SPID-Spalte.

WEITERE INFORMATIONEN

--Hilfe Abschnitt
    gibt eine Hilfemeldung aus. Das Argument Abschnitt kann eines aus simple, list, output, threads, misc oder all sein. Das Argument kann wie folgt auf einen der unterstrichenen Buchstaben gekürzt werden: s|l|o|t|m|a.

--info
    gibt Informationen zur Fehlerdiagnose aus.

L   listet alle Formatbezeichner auf.

V   gibt die Version von Procps-ng aus.

-V  gibt die Version von Procps-ng aus.

--version
    gibt die Version von Procps-ng aus.

ANMERKUNGEN
Diese Version von ps basiert auf dem Auslesen virtueller Dateien in /proc. Diese Version von ps muss nicht setuid »kmem« sein oder zur Ausführung über irgendwelche Privilegien verfügen. Geben Sie dieser Version von ps keine besonderen Rechte.

Die CPU-Nutzung wird derzeit als der Prozentwert der während der gesamten Lebensdauer verwendeten Laufzeit ausgedrückt. Das ist nicht ideal und ist nicht zu den Standards konform, an denen sich ps ansonsten orientiert. Es ist unwahrscheinlich, dass die Summe der CPU-Nutzung 100% erreicht.

Die Felder SIZE und RSS zählen einige Teile des Prozesses nicht, wie die Seitentabellen, den Kernel-Stack, die Structs »thread_info« und »task_struct«. Dies ergibt üblicherweise mindestens 20 KiB Speicher, die immer belegt sind. SIZE ist die virtuelle Größe des Prozesses (Code+Daten+Stack).

Als <defunct> markierte Prozesse sind tote Prozesse (sogenannte »Zombies«). Diese sind deswegen noch vorhanden, weil deren Elternprozesse sie nicht sauber beendet haben. Diese Prozesse werden durch init(8) zerstört, sofern der Elternprozess existiert.

Falls der Benutzername länger ist als die Breite der Anzeigespalte, wird der Benutzername gekürzt. Mit den Formatierungsoptionen -o und -O können Sie die Breite anpassen.

Von Befehlszeilenoptionen wie ps -aux wird abgeraten, da sie zwei Standards vermischen. Entsprechend den POSIX- und Unix-Standards bewirkt der vorstehende Befehl die Anzeige aller Prozesse mit einem TTY (im Allgemeinen die Befehle, die Benutzer ausführen) und zusätzlich aller Prozesse, die einem Benutzer namens x gehören. Existiert dieser Benutzer nicht, wird ps annehmen, dass Sie eigentlich ps aux meinten.

PROZESSSCHALTER
Die Summe dieser Werte wird in der Spalte »F« angezeigt, die durch den Ausgabebezeichner flags bereitgestellt wird:

    1 | mit fork() erstellt, aber nicht ausgeführt
    4 | Superuser-Privilegien verwendet

PROZESSZUSTANDSCODES
Dies sind die verschiedenen Werte, welche die Ausgabebezeichner s, stat und state (Überschrift »STAT« oder »S«) anzeigen, um den Status eines Prozesses zu beschreiben:

    D | Nicht unterbrechbarer Schlafzustand (üblicherweise E/A)
    I | Kernel-Thread im Leerlauf
    R | Laufend oder lauffähig (in der Ausführungswarteschlange)
    S | Unterbrechbarer Schlafzustand (auf den Abschluss eines Ereignisses wartend)
    T | Durch Jobsteuersignal gestoppt
    t | Durch Debugger während der Verfolgung gestoppt
    W | Paging (ungültig seit Linux 2.6)
    X | Tot (sollte niemals angezeigt werden)
    Z | Defunktionaler (»Zombie«-) Prozess, beendet, aber durch seinen Elternprozess nicht aufgeräumt

Für BSD-Formate und bei Verwendung des Schlüsselworts stat können zusätzliche Zeichen angezeigt werden:

    < | Hohe Priorität (nicht »nice« zu anderen Benutzern)
    N | Niedrige Priorität (»nice« zu anderen Benutzern)
    L | Hat im Speicher gesperrte Seiten (für Echtzeit- und benutzerdefinierte E/A)
    s | Ist ein Sitzungsleiter
    l | Ist multi-threaded (mittels CLONE_THREAD, wie es NPTL-Pthreads tun)
    + | Ist in der Vordergrund-Prozessgruppe

VERALTETE SORTIERSCHLÜSSEL
Diese Schlüssel werden von der BSD-Option O verwendet (wenn diese zur Sortierung verwendet wird). Die GNU-Option --sort verwendet diese Schlüssel nicht, sondern die im nachfolgenden Abschnitt STANDARD-FORMATBEZEICHNER beschriebenen Schlüssel. Beachten Sie, dass die in der Sortierung verwendeten Werte die internen Werte sind, die ps nutzt, und nicht die »verarbeiteten« Werte, die in einigen der Ausgabeformat-Felder verwendet werden (zum Beispiel wird bei der Sortierung nach TTY anhand der Gerätenummern sortiert und nicht anhand des angezeigten Terminalnamens). Leiten Sie die Ausgabe von ps an den Befehl sort weiter, wenn Sie nach den verarbeiteten Werten sortieren wollen.
Key | Long | Beschreibung
c | cmd | Einfacher Name der ausführbaren Datei
C | pcpu | CPU-Nutzung
f | flags | Schalter, wie im F-Feld im Langformat
g | pgrp | Prozessgruppenkennung
G | tpgid | Prozessgruppenkennung des steuernden TTY
j | cutime | Kumulative Benutzerzeit
J | cstime | Kumulative Systemzeit
k | utime | Benutzerzeit
m | min_flt | Anzahl der geringfügigen Seitenfehlerausnahmebehandlungen
M | maj_flt | Anzahl der großen Seitenfehlerausnahmebehandlungen
n | cmin_flt | Kumulierte Anzahl der geringfügigen Seitenfehlerausnahmebehandlungen
N | cmaj_flt | Kumulierte Anzahl der großen Seitenfehlerausnahmebehandlungen
o | session | Sitzungskennung
p | pid | Prozesskennung
P | ppid | Kennung des Elternprozesses
r | rss | Hauptspeicherbelegung
R | resident | Seiten in der Hauptspeicherbelegung
s | size | Speichergröße in Kibibyte
S | share | Menge der gemeinsam genutzten Seiten
t | tty | Die Gerätenummer des steuernden TTY
T | start_time | Zeit, zu der der Prozess gestartet wurde
U | uid | Benutzerkennung (ID)
u | user | Benutzername
v | vsize | Gesamtgröße des virtuellen Speichers in KiB
y | priority | Scheduling-Priorität des Kernels

AIX-FORMATDESKRIPTOREN
Diese Version von ps unterstützt AIX-Formatdeskriptoren, die ähnlich den Formatierungscodes von printf(1) und printf(3) funktionieren. Die NORMAL-Codes sind im nächsten Abschnitt beschrieben.
Code | Normal | Header
%C | pcpu | %CPU
%G | group | GROUP
%P | ppid | PPID
%U | user | USER
%a | args | BEFEHL
%c | comm | BEFEHL
%g | rgroup | RGROUP
%n | nice | NI
%p | pid | PID
%r | pgid | PGID
%t | etime | ELAPSED
%u | ruser | RUSER
%x | time | TIME
%y | tty | TTY
%z | vsz | VSZ

STANDARD-FORMATBEZEICHNER
Hier sind die verschiedenen Schlüsselwörter, die zum Steuern des Ausgabeformats (zum Beispiel mit der Option -o) oder zum Sortieren der ausgewählten Prozesse mit der GNU-artigen Option --sort verwendet werden können.

Beispiel: ps -eo pid,user,args --sort user

Diese Version von ps versucht, die meisten der in anderen Implementierungen von ps verwendeten Schlüsselwörter zu erkennen.

Die folgenden benutzerdefinierten Formatbezeichner dürfen Leerräume enthalten: args, cmd, comm, command, fname, ucmd, ucomm, lstart, bsdstart, start.

Einige Schlüsselwörter könnten nicht für die Sortierung verfügbar sein.

Code | Header | Beschreibung
%cpu | %CPU | CPU-Nutzung des Prozesses im Format »##.#«. Gegenwärtig ist es die CPU-Zeit dividiert durch die Zeit, die der Prozess bisher läuft (CPU-Zeit/Echtzeit-Verhältnis), ausgedrückt als Prozentwert. Wenn Sie nicht gerade Glück haben, wird dieser Wert nicht auf 100% aufsummieren (alias pcpu).
%mem | %MEM | Prozentuales Verhältnis der Hauptspeicherbelegung des Prozesses (»resident set size«) zur Größe des physischen Speichers der Maschine (alias pmem).
ag_id | AGID | Die Autogroup-Kennung, die einem Prozess zugeordnet ist, der in Verbindung mit dem CFS-Scheduler arbeitet, um die Leistung des interaktiven Desktops zu verbessern.
ag_nice | AGNI | Der Autogroup-Nice-Wert, der das Scheduling aller Prozesse in dieser Gruppe beeinflusst.
args | BEFEHL | A command with all its arguments as a string. Modifications to the arguments may be shown. The column contents may include spaces. A process marked “<defunct>” is partly dead, waiting to be fully destroyed by its parent. Sometimes the process arguments will be unavailable; when this happens, ps instead reports the executable name in brackets. (alias cmd, command). See also the comm format keyword, the -f option, and the c option. Wenn dies als Letztes angegeben wird, dann wird die letzte Spalte bis zum Rand des Bildschirms verbreitert. Falls ps die Bildschirmbreite nicht ermitteln kann, wenn die Ausgabe beispielsweise in eine Datei oder an einen anderen Befehl weitergeleitet wird, ist die Ausgabebreite nicht definiert (sie könnte 80, unbegrenzt, durch die Variable TERM bestimmt usw. sein). Die Umgebungsvariable COLUMNS, die durch die Optionen --cols, --columns oder --width außer Kraft gesetzt werden kann, kann dazu verwendet werden, in diesem Fall die Breite genau festzulegen. Die Optionen w oder -w können auch zur Anpassung der Breite verwendet werden.
blocked | BLOCKED | Maske der blockierten Signale, siehe signal(7). Entsprechend der Feldbreite wird eine 32- oder 64-Bit-Maske in hexadezimalem Format angezeigt, außer wenn die Option --signames verwendet wird (alias sig_block, sigmask).
bsdstart | START | Zeitpunkt, zu dem der Befehl gestartet wurde. Falls der Prozess vor weniger als 24 Stunden gestartet wurde, ist das Ausgabeformat » HH:MM«, anderenfalls ist es » Mmm:SS« (wobei Mmm die aus drei Buchstaben bestehende Kurzform des Monats ist). Siehe auch lstart, start, start_time und stime.
bsdtime | TIME | Kumulierte CPU-Zeit, Benutzer + System. Das Anzeigeformat ist üblicherweise »MMM:SS«, kann aber auch nach rechts verschoben werden, falls der Prozess mehr als 999 Minuten CPU-Zeit verbraucht hat.
c | C | Prozessornutzung. Gegenwärtig ist dies der ganzzahlige Wert der prozentualen Nutzung über die gesamte Lebensdauer des Prozesses (siehe %cpu).
caught | CAUGHT | Maske der abgefangenen Signale, siehe signal(7). Entsprechend der Feldbreite wird eine 32- oder 64-Bit-Maske in hexadezimalem Format angezeigt, außer wenn die Option --signames verwendet wird (alias sig_catch, sigcatch).
cgname | CGNAME | zeigt den Namen der Control-Gruppen an, zu denen der Prozess gehört.
cgroup | CGROUP | zeigt die Control-Gruppen an, zu denen der Prozess gehört.
cgroupns | CGROUPNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
class | CLS | Scheduling-Klasse des Prozesses (alias policy, cls). Mögliche Werte des Feldes sind: - nicht berichtet TS SCHED_OTHER FF SCHED_FIFO RR SCHED_RR B SCHED_BATCH ISO SCHED_ISO IDL SCHED_IDLE DLN SCHED_DEADLINE ? unbekannter Wert
cls | CLS | Scheduling-Klasse des Prozesses (alias policy, cls). Mögliche Werte des Feldes sind: - nicht berichtet TS SCHED_OTHER FF SCHED_FIFO RR SCHED_RR B SCHED_BATCH ISO SCHED_ISO IDL SCHED_IDLE DLN SCHED_DEADLINE ? unbekannter Wert
cmd | CMD | Siehe args (alias args, command).
comm | BEFEHL | command name (only the executable name). The output in this column may contain spaces. (alias ucmd, ucomm). See also the args format keyword, the -f option, and the c option. Wenn dies als Letztes angegeben wird, dann wird die letzte Spalte bis zum Rand des Bildschirms verbreitert. Falls ps die Bildschirmbreite nicht ermitteln kann, wenn die Ausgabe beispielsweise in eine Datei oder an einen anderen Befehl weitergeleitet wird, ist die Ausgabebreite nicht definiert (sie könnte 80, unbegrenzt, durch die Variable TERM bestimmt usw. sein). Die Umgebungsvariable COLUMNS oder die Option --cols können dazu verwendet werden, in diesem Fall die Breite genau festzulegen. Die Optionen w oder -w können auch zur Anpassung der Breite verwendet werden.
command | BEFEHL | Siehe args (alias args, Befehl).
cp | CP | CPU-Nutzung in Promille (dem Zehntel eines Prozents; siehe %cpu).
CPU | CPU | Siehe psr (alias cpuid, lastcpu, psr).
cpuid | CPUID | Siehe psr (alias cpu, lastcpu, psr).
cputime | TIME | Kumulative CPU-Zeit im Format »[TT-]hh:mm:ss« (alias time).
cputimes | TIME | Kumulative CPU-Zeit in Sekunden (alias times).
cuc | %CUC | Die CPU-Nutzung eines Prozesses, einschließlich toter Kindprozesse, in einem erweiterten »##.###«-Format. Siehe auch %cpu, c, cp, cuu, pcpu).
cuu | %CUU | Die CPU-Nutzung eines Prozesses in einem erweiterten »##.###«-Format. Siehe auch %cpu, c, cp, cuc, pcpu).
docker | DOCKER | Der abgekürzte Kennung des Docker-Containers, in dem die Task läuft. Falls ein Prozess nicht innerhalb eines Containers läuft, wird ein Bindestrich (»-«) angezeigt.
drs | DRS | data resident set size, the amount of private memory reserved by a process. It is also known as DATA. Such memory may not yet be mapped to rss but will always be included in the vsz amount.
egid | EGID | Effektive Gruppenkennung (ID-Nummer) des Prozesses als dezimale Ganzzahl (alias gid).
egroup | EGROUP | Effektive Gruppenkennung des Prozesses. Dies wird die Gruppenkennung in Textform, falls diese ermittelt werden kann und es die Feldbreite erlaubt, oder anderenfalls eine Dezimaldarstellung sein (alias group).
eip | EIP | Befehlszeiger. Ab Kernel 4.9.xx wird er auf Null gesetzt, es sei denn, der Prozess wird beendet oder ein Core-Dump erstellt.
esp | ESP | Stackpointer. Ab Kernel 4.9.xx wird er auf Null gesetzt, es sei denn, der Prozess wird beendet oder ein Core-Dump erstellt.
etime | ELAPSED | Vergangene Zeit, seit der Prozess gestartet wurde, in der Form [[TT-]hh:]mm:ss.
etimes | ELAPSED | Vergangene Zeit, seit der Prozess gestartet wurde, in Sekunden.
environ | ENVIRON | Umgebungsvariablen für den Prozess.
euid | EUID | Effektive Benutzerkennung (alias uid).
euser | EUSER | Effektiver Benutzername. Dies wird die Benutzerkennung in Textform, falls diese ermittelt werden kann und die Feldgröße es erlaubt, oder anderenfalls eine Dezimaldarstellung sein. Die Option n kann zum Erzwingen der Dezimaldarstellung verwendet werden (alias uname, user).
exe | EXE | Pfad zur ausführbaren Datei. Dies ist sinnvoll, wenn der Pfad nicht über die Formatierungsoptionen cmd, comm oder args ausgegeben werden kann.
f | F | Dem Prozess zugehörige Schalter, siehe den Abschnitt PROZESSSCHALTER (alias flag, flags).
fds | FDS | Gesamtzahl der offenen Dateideskriptoren.
fgid | FGID | Dateisystemzugriffsgruppenkennung (alias fsgid).
fgroup | FGROUP | Dateisystemzugriffsgruppenkennung. Dies wird die Gruppenkennung in Textform, falls diese ermittelt werden kann und es die Feldgröße erlaubt, oder anderenfalls eine Dezimaldarstellung sein (alias fsgroup).
flag | F | Siehe f (alias f, flags).
flags | F | Siehe f (alias f, flag).
fname | BEFEHL | Die ersten 8 Byte des Basisnamens der ausführbaren Datei des Prozesses. Die Ausgabe in dieser Spalte kann Leerräume enthalten.
fuid | FUID | Dateisystemzugriffsbenutzerkennung (alias fsuid).
fuser | FUSER | Dateisystemzugriffsbenutzerkennung. Dies wird die Benutzerkennung in Textform, falls diese ermittelt werden kann und es die Feldgröße erlaubt, oder anderenfalls eine Dezimaldarstellung sein.
gid | GID | Siehe egid (alias egid).
group | GROUP | Siehe egroup (alias egroup).
htprv | HTPRV | Die Menge des privaten Speichers, der von der hugetlbfs-Seite unterstützt wird und nicht in den Formatoptionen rss oder pss berücksichtigt wird.
htshr | HTSHR | Die Menge des gemeinsam genutzten Speichers, der von der hugetlbfs-Seite unterstützt und nicht in den Formatoptionen rss oder pss berücksichtigt wird.
ignored | IGNORED | Maske der ignorierten Signale, siehe signal(7). Entsprechend der Feldbreite wird eine 32- oder 64-Bit-Maske in hexadezimalem Format angezeigt, außer wenn die Option --signames verwendet wird (alias sig_ignore, sigignore).
ipcns | IPCNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
label | LABEL | Sicherheitslabel, das am häufigsten für SELinux-Kontextdaten verwendet wird. Dies ist für die Mandatory Access Control (»MAC«) auf Hochsicherheitssystemen gedacht.
lastcpu | C | Siehe psr (alias cpu, cpuid, psr).
lstart | STARTED | Zeitpunkt des Befehlsstarts. Dies erfolgt im Format »TTT mmm HH:MM:SS JJJ« sofern nicht durch die Option -D geändert.
lsession | SESSION | zeigt den Anmeldesitzungs-Bezeichner eines Prozesses an, falls Unterstützung für Systemd verfügbar ist.
luid | LUID | zeigt die Anmeldekennung an, die dem Prozess zugeordnet ist.
lwp | LWP | Leichtgewichtige Prozess- bzw. Threadkennung (ID-Nummer) der zu verteilenden Entität (alias spid, tid). Siehe tid für zusätzliche Informationen.
lxc | LXC | Der Name des LXC-Containers, in dem die Task läuft. Falls ein Prozess nicht innerhalb eines Containers läuft, wird ein Bindestrich (»-«) angezeigt.
machine | MACHINE | zeigt den Rechnernamen für Prozesse an, die einer virtuellen Maschine oder einem Container zugeordnet sind, falls Unterstützung für Systemd verfügbar ist.
maj_flt | MAJFLT | Die Anzahl der großen Seitenfehlerausnahmebehandlungen, die sich mit diesem Prozess ereignet haben.
min_flt | MINFLT | Die Anzahl der geringfügigen Seitenfehlerausnahmebehandlungen, die sich mit diesem Prozess ereignet haben.
mntns | MNTNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
netns | NETNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
ni | NI | Nice-Wert. Bereich von 19 (am »schönsten«) bis -20 (nicht »schön« für Andere), siehe nice(1). (alias nice).
nice | NI | Siehe ni (alias ni).
nlwp | NLWP | Anzahl der lwps (Threads) im Prozess (alias thcount).
numa | NUMA | Der Knoten, der dem zuletzt verwendeten Prozessor zugeordnet ist. Ein -1 bedeutet, dass keine NUMA-Information verfügbar ist.
nwchan | WCHAN | Adresse der Kernelfunktion, in der der Prozess schläft (verwenden Sie wchan, falls Sie den Namen der Kernelfunktion benötigen).
oom | OOM | Out of Memory Score. The value, ranging from 0 to +1000, used to select task(s) to kill when memory is exhausted.
oomadj | OOMADJ | Out of Memory Adjustment Factor. The value is added to the current out of memory score which is then used to determine which task to kill when memory is exhausted.
ouid | OWNER | zeigt den Unix-Benutzer-Bezeichner des Eigentümers der Sitzung eines Prozesses an, falls Unterstützung für Systemd verfügbar ist.
pcap | PCAP | Permitted Capabilities of the process, displayed as a hexadecimal bitmask. See capabilities(7).
pcaps | PCAPS | Permitted Capabilities of the process, displayed as a string of capability names. See capabilities(7).
pcpu | %CPU | Siehe %cpu (alias %cpu).
pending | PENDING | Maske der ausstehenden Signale. Siehe signal(7). Ausstehende Signale der Prozesse unterscheiden sich von den ausstehenden Signalen einzelner Threads. Verwenden Sie die Option m oder -m, um beides anzeigen zu lassen. Entsprechend der Feldbreite wird ein eine 32-Bit- oder 64-Bit-Maske in hexadezimalem Format angezeigt, außer wenn die Option --signames verwendet wird (alias sig).
pgid | PGID | Prozessgruppenkennung oder (äquivalent) die Prozesskennung (PID) des Prozessgruppenleiters (alias pgrp).
pgrp | PGRP | Siehe pgid (alias pgid).
pid | PID | Eine Zahl, welche die Prozesskennung (ID-Nummer) repräsentiert (alias tgid).
pidns | PIDNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
pmem | %MEM | Siehe %mem (alias %mem).
policy | POL | Scheduling-Klasse des Prozesses (alias class, cls). Mögliche Werte sind: - nicht berichtet TS SCHED_OTHER FF SCHED_FIFO RR SCHED_RR B SCHED_BATCH ISO SCHED_ISO IDL SCHED_IDLE DLN SCHED_DEADLINE ? unbekannter Wert
ppid | PPID | Kennung des Elternprozesses.
pri | PRI | Priorität des Prozesses. Größere Zahlen bedeuten eine höhere Priorität.
psr | PSR | Prozessor, auf dem der Prozess zuletzt ausgeführt wurde (alias cpu, cpuid, lastcpu).
pss | PSS | Proportional share size, the non-swapped physical memory, with shared memory proportionally accounted to all tasks mapping it.
rbytes | RBYTES | Anzahl der Bytes, die dieser Prozess tatsächlich aus der Speicherschicht abgerufen hat.
rchars | RCHARS | Anzahl der Bytes, die durch diesen Vorgang aus dem Speicher gelesen wurden.
rgid | RGID | reale Gruppenkennung.
rgroup | RGROUP | Realer Gruppenname. Dies wird die Gruppenkennung in Textform, falls diese ermittelt werden kann und es die Feldgröße erlaubt, oder anderenfalls eine Dezimaldarstellung sein.
rops | ROPS | Anzahl der Lese-E/A-Operationen—d.h. Systemaufrufe wie read(2) und pread(2).
rss | RSS | Hauptspeicherbelegung; der nicht ausgelagerte physische Speicher, den eine Task (in Kibibyte) verwendet (alias rssize, rsz).
rssize | RSS | Siehe rss (alias rss, rsz).
rsz | RSZ | Siehe rss (alias rss, rssize).
rtprio | RTPRIO | Echtzeit-Priorität.
ruid | RUID | Reale Benutzerkennung.
ruser | RUSER | Reale Benutzerkennung. Dies wird die Benutzerkennung in Textform, falls diese ermittelt werden kann und es die Feldgröße erlaubt, oder anderenfalls eine Dezimaldarstellung sein.
s | S | Minimale Statusanzeige (ein Zeichen). Siehe Abschnitt PROZESSZUSTANDSCODES für die Bedeutung der verschiedenen Werte. Siehe auch stat, wenn Sie zusätzliche Informationen anzeigen lassen wollen (alias state).
sched | SCH | Scheduling-Regeln des Prozesses. Die Regeln SCHED_OTHER (SCHED_NORMAL), SCHED_FIFO, SCHED_RR, SCHED_BATCH, SCHED_ISO, SCHED_IDLE beziehungsweise SCHED_DEADLINE werden als 0, 1, 2, 3, 4, 5 beziehungsweise 6 angezeigt.
seat | SEAT | zeigt den Bezeichner an, der sämtlichen Hardware-Geräten zugeordnet ist, die einem bestimmten Arbeitsplatz zugewiesen sind, falls Unterstützung für Systemd verfügbar ist.
sess | SESS | Sitzungskennung oder (äquivalent) die Prozesskennung (PID) des Sitzungsleiters (alias session, sid).
sgi_p | P | Prozessor, auf dem der Prozess derzeit ausgeführt wird. Falls der Prozess gegenwärtig nicht ausgeführt wird oder nicht ausführbar ist, wird »*« angezeigt.
sgid | SGID | Gespeicherte Gruppenkennung (alias svgid).
sgroup | SGROUP | Gespeicherter Gruppenname. Dies wird die Gruppenkennung in Textform, falls diese ermittelt werden kann und es die Feldgröße erlaubt, oder anderenfalls eine Dezimaldarstellung sein.
sid | SID | Siehe sess (alias sess, session).
sig | PENDING | Siehe pending (alias pending, sig_pend).
sigcatch | CAUGHT | Siehe caught (alias caught, sig_catch).
sigignore | IGNORED | Siehe ignored (alias ignored, sig_ignore).
sigmask | BLOCKED | Siehe blocked (alias blocked, sig_block).
size | GRÖSSE | Ungefähre Menge des Auslagerungsspeichers, der erforderlich wäre, wenn der Prozess alle schreibbaren Speicherseiten bearbeiten und dann ausgelagert werden würde. Diese Zahl ist eine sehr grobe Schätzung!
slice | SLICE | zeigt die Scheiben-Unit an, zu der ein Prozess gehört, falls Unterstützung für Systemd verfügbar ist.
spid | SPID | Siehe lwp (alias lwp, tid).
stackp | STACKP | Adresse des untersten Stapelendes (Start) des Prozess-Stacks.
start | STARTED | Zeitpunkt, zu dem der Befehl gestartet wurde. Falls der Prozess vor weniger als 24 Stunden gestartet wurde, ist das Ausgabeformat »HH:MM:SS«, anderenfalls ist es » Mmm dd« (wobei Mmm die aus drei Buchstaben bestehende Kurzform des Monats ist). Siehe auch bsdstart, start, start_time und stime.
start_time | START | Startzeit oder -datum des Prozesses. Falls der Prozess nicht im gleichen Jahr gestartet wurde, in dem ps aufgerufen wurde, wird nur das Jahr angezeigt, oder »MmmTT«, falls es nicht am gleichen Tag gestartet wurde, oder anderenfalls »HH:MM«. Siehe auch bsdstart, start, lstart und stime.
stat | STAT | Statusanzeige in mehreren Zeichen. Siehe Abschnitt PROZESSZUSTANDSCODES für die Bedeutung der verschiedenen Werte. Siehe auch s und state, wenn Sie nur das erste Zeichen anzeigen lassen wollen.
state | S | Siehe s (alias s).
stime | STIME | siehe start_time. (alias start_time).
suid | SUID | Gespeicherte Benutzerkennung. (alias svuid).
supgid | SUPGID | Gruppenkennungen zusätzlicher Gruppen, falls vorhanden. Siehe getgroups(2).
supgrp | SUPGRP | Gruppennamen zusätzlicher Gruppen, falls vorhanden. Siehe getgroups(2).
suser | SUSER | Gespeicherter Benutzername. Dies wird die Benutzerkennung in Textform, falls diese ermittelt werden kann und es die Feldgröße erlaubt, oder anderenfalls eine Dezimaldarstellung sein (alias svuser).
svgid | SVGID | Siehe sgid (alias sgid).
svuid | SVUID | Siehe suid (alias suid).
sz | SZ | Größe in physischen Seiten des Kern-Images des Prozesses. Dies schließt Text-, Daten- und Stack-Bereich ein. Gerätezuordnungen werden gegenwärtig ausgeschlossen; dies könnte sich später ändern. Siehe vsz und rss.
tgid | TGID | Eine Zahl, die eine Thread-Gruppe repräsentiert, zu der eine Task gehört (alias pid). Es ist die Prozesskennung (PID) des Thread-Gruppenleiters.
thcount | THCNT | Siehe nlwp (alias nlwp). Anzahl der Kernel-Threads, die dem Prozess gehören.
tid | TID | the unique number representing a dispatchable entity (alias spid, tid). This value may also appear as: a process ID (pid); a process group ID (pgrp); a session ID for the session leader (sid); a thread group ID for the thread group leader (tgid); and a tty process group ID for the process group leader (tpgid).
time | TIME | Kumulative CPU-Zeit im Format »[DD-]HH:MM:SS« (alias cputime).
timens | TIMENS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
times | TIME | Kumulative CPU-Zeit in Sekunden (alias cputimes).
tname | TTY | Steuerndes TTY (Terminal). (alias tt, tty).
tpgid | TPGID | Kennung der Vordergrundprozessgruppe auf dem TTY (Terminal), mit dem der Prozess verbunden ist, oder -1, falls der Prozess nicht mit einem Terminal verbunden ist.
trs | TRS | Hauptspeicherbelegung als Text; die Menge des physischen Speichers, der mit ausführbarem Code belegt ist.
tt | TT | Steuerndes TTY (Terminal). (alias tname, tty).
tty | TT | Steuerndes TTY (Terminal). (alias tname, tt).
ucmd | CMD | Siehe comm (alias comm, ucomm).
ucomm | BEFEHL | Siehe comm (alias comm, ucmd).
uid | UID | Siehe euid (alias euid).
uname | USER | Siehe euser (alias euser, user).
unit | UNIT | zeigt die Unit an, zu der ein Prozess gehört, falls Unterstützung für Systemd verfügbar ist.
user | USER | Siehe euser (alias euser, uname).
userns | USERNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
uss | USS | Unique set size, the non-swapped physical memory, which is not shared with an another task.
utsns | UTSNS | Eindeutige Inode-Nummer, welche den Namennsraum angibt, zu dem der Prozess gehört. Siehe namespaces(7).
uunit | UUNIT | zeigt die Benutzer-Unit an, zu der ein Prozess gehört, falls Unterstützung für Systemd verfügbar ist.
vsize | VSZ | Siehe vsz (alias vsz).
vsz | VSZ | Größe des virtuellen Speichers des Prozesses in KiB (1024-Byte-Einheiten). Gerätezuweisungen werden gegenwärtig ausgeschlossen; dies könnte sich später ändern (alias vsize).
wbytes | WBYTES | Anzahl der Bytes, die durch diesen Prozess an die Speicherschicht gesendet wurden.
wcbytes | WCBYTES | Anzahl der abgebrochenen Schreibbytes.
wchan | WCHAN | Name der Kernel-Funktion, in welcher der Prozess schläft.
wchars | WCHARS | Anzahl der Bytes, die dieser Vorgang auf die Festplatte geschrieben hat bzw. noch schreiben wird.
wops | WOPS | Anzahl der Schreib-E/A-Operationen—d.h. Systemaufrufe wie write(2) und pwrite(2).

UMGEBUNGSVARIABLEN
Die folgenden Umgebungsvariablen könnten ps beeinflussen:

COLUMNS
    setzt die vorgegebene Bildschirmbreite außer Kraft.

LINES
    setzt die vorgegebene Bildschirmhöhe außer Kraft.

PS_PERSONALITY
    wird auf eines von »posix«, »old«, »linux«, »bsd«, »sun«, »digital« … gesetzt (siehe Abschnitt PROZESSAUSFÜHRUNGSUMGEBUNG nachfolgend).

CMD_ENV
    wird auf eines von »posix«, »old«, »linux«, »bsd«, »sun«, »digital« … gesetzt (siehe Abschnitt PROZESSAUSFÜHRUNGSUMGEBUNG nachfolgend).

I_WANT_A_BROKEN_PS
    erzwingt die Interpretation veralteter Befehlszeilen.

LC_TIME
    Datumsformat.

LIBPROC_HIDE_KERNEL
    Setzen Sie diesen Wert, um Kernel-Threads auszublenden, die normalerweise mit der Option -e angezeigt werden. Dies entspricht der Auswahl von --ppid 2 -p 2 --deselectstattdessen. Funktioniert auch im BSD-Modus.

PS_COLORS
    wird gegenwärtig nicht unterstützt.

PS_FORMAT
    Außerkraftsetzung des vorgegebenen Ausgabeformats. Sie können dies auf eine Formatzeichenkette des Typs setzen, den Sie für die Option -o nutzen. Insbesondere die Werte DefSysV und DefBSD sind sinnvoll.

POSIXLY_CORRECT
    Finde keine Entschuldigungen zum Ignorieren schlechter »Funktionen«.

POSIX2
    Wenn auf »on« gesetzt, agiert es als POSIXLY_CORRECT.

UNIX95
    Finde keine Entschuldigungen zum Ignorieren schlechter »Funktionen«.

_XPG
    Zeigt kein nicht standardkonformes Verhalten bei CMD_ENV=irix.

Generell ist es keine gute Idee, diese Variablen zu setzen. Die einzige Ausnahme ist CMD_ENV oder PS_PERSONALITY, die für normale Systeme auf »Linux« gesetzt werden können. Ohne diese Einstellung folgt ps den nutzlosen und schlechten Teilen des Unix98-Standards.

PROZESSAUSFÜHRUNGSUMGEBUNG
390 | wie das ps in OS/390 OpenEdition
aix | wie das ps in AIX
bsd | wie das ps in FreeBSD (überhaupt nicht standardkonform)
compaq | wie das ps in Digital Unix
debian | wie das alte ps in Debian
digital | wie das ps in Tru64 (war Digital Unix, war OSF/1)
gnu | wie das alte ps in Debian
hp | wie das ps in HP-UX
hpux | wie das ps in HP-UX
irix | wie das ps in Irix
linux | ***** empfohlen *****
old | wie das ursprüngliche ps in Linux (überhaupt nicht standardkonform)
os390 | wie das ps in OS/390 Open Edition
posix | standard
S390 | wie das ps in OS/390 Open Edition
sco | wie das ps in SCO
sgi | wie das ps in Irix
solaris2 | wie das ps in Solaris 2+ (SunOS 5)
sunos4 | wie das ps in SunOS 4 (Solaris 1) (überhaupt nicht standardkonform)
svr4 | standard
sysv | standard
tru64 | wie das ps in Tru64 (war Digital Unix, war OSF/1)
unix | standard
unix95 | standard
unix98 | standard

FEHLER
Die Felder bsdstart und start zeigen nur den abgekürzten Monatsnamen in englischer Sprache an. Die Felder lstart und stime zeigen den abgekürzten Monatsnamen in der konfigurierten Locale an, können aber aufgrund der unterschiedlichen Längen der abgekürzten Monats- und Tagesnamen in verschiedenen Sprachen die Spaltenbreite überschreiten.

SIEHE AUCH
pgrep(1), pstree(1), top(1), strftime(3), proc(5), capabilities(7).

STANDARDS
Diese Version von ps ist konform zu den folgenden Standards.

•   Version 2 der Single Unix Specification

•   The Open Group Technical Standard Base Specifications, Ausgabe 6

•   IEEE Std 1003.1, Ausgabe 2004

•   X/Open System Interfaces Extension [UP XSI]

•   ISO/IEC 9945:2003

AUTOR
ps wurde ursprünglich von Branko Lankester (lankeste@fwi.uva.nl) geschrieben. Michael K. Johnson (johnsonm@redhat.com) überarbeitete es deutlich, damit es das Proc-Dateisystem nutzt, wobei einige Dinge dabei geändert wurden. Michael Shields (mjshield@nyx.cs.du.edu) fügte die PID-Listen-Funktion hinzu. Charles Blake (cblake@bbn.com) fügte die mehrstufige Sortierung, die Bibliothek im Dirent-Stil, die Datenbank zum Zuweisen von Gerätenamen zu deren Nummern, die näherungsweise Binärsuche direkt in System.map hinzu sowie bereinigte größere Teile des Codes und der Dokumentation. David Mossberger-Tang schrieb die generische BFD-Unterstützung für psupdate. Albert Cahalan (albert@users.sf.net) überarbeitete ps für vollständige Unix98- und BSD-Unterstützung, zusammen mit einigen Hacks bezüglich veralteter and fremder Syntax.

Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org. Dafür ist keine Registrierung erforderlich.